PLSTRANSFORM(3)

NAME
plstransform - Set a global coordinate transform function

SYNOPSIS
plstransform(coordinate_transform, coordinate_transform_data)

DESCRIPTION

This function can be used to define a coordinate transformation which affects all elements drawn within the current plot window. The coordinate_transform callback function is similar to that provided for the plmap(3) and plmeridians(3) functions. The coordinate_transform_data parameter may be used to pass extra data to coordinate_transform.

Redacted form: General: plstransform(coordinate_transform, coordinate_transform_data)

This function is used in examples 19 and 22.

ARGUMENTS

coordinate_transform (PLTRANSFORM_callback(3), input)
    A callback function that defines the transformation from the input (x, y) world coordinates to new PLplot world coordinates. If coordinate_transform is not supplied (e.g., is set to NULL in the C case), then no transform is applied.

coordinate_transform_data (PLPointer(3), input)
    Optional extra data for coordinate_transform.

AUTHORS
Many developers (who are credited at http://plplot.org/credits.php) have contributed to PLplot over its long history.

SEE ALSO
PLplot documentation at http://plplot.org/documentation.php.